@REM *****************************************************************************
@REM Licensed Materials - Property of IBM
@REM 5724-L68,5724-L69
@REM (C) Copyright IBM Corp. 2005,2007 - All Rights Reserved.
@REM US Government Users Restricted Rights - Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.
@REM
@REM *****************************************************************************

@setlocal
@echo off

IF %1x == x goto USAGE

set pwddir=%~dp0

set CMDLINEPATH="%pwddir%bcgSetupCmdLine.bat"

IF NOT EXIST %CMDLINEPATH% ( 
SET /P PATH=Please enter the absolute path to the Java installed location:
) 
SET JAVA_HOME=%PATH%

IF EXIST %CMDLINEPATH% ( call "%pwddir%\bcgSetupCmdLine.bat" )

SET JAVA_HOME=%JAVA_HOME%

SET HOME_DIR=%pwddir%..

SET UPDIUPDATE_JARPATH=%pwddir%..\updivalidation\updivalidator.jar
SET LOG4J_JARPATH=%pwddir%..\updivalidation\log4j-1.2.13.jar

IF /I "CONFIG"=="%1" goto CONFIG

IF /I "VERIFY"=="%1" goto VERIFY

IF /I "DEPLOY"=="%1" goto DEPLOY

IF NOT "CONFIG"=="%1" goto USAGE

IF NOT "VERIFY"=="%1" goto USAGE

IF NOT "DEPLOY"=="%1" goto USAGE

:DEFAULT
SET /P CFSPATH=Please enter the path of the Common File System(CFS):

SET CFSPATH="%CFSPATH%"

"%JAVA_HOME%\bin\java" %CONSOLE_ENCODING% -classpath "%UPDIUPDATE_JARPATH%;%LOG4J_JARPATH%" com.ibm.bcg.updivalidation.UPDISetupScript %1 %CFSPATH%
goto ENDOFPROGRAM

:CONFIG
SET /P CFSPATH=Please enter the path of the Common File System(CFS):

SET CFSPATH="%CFSPATH%"

cd /d "%pwddir%"

"%JAVA_HOME%\bin\java" %CONSOLE_ENCODING% -classpath "%UPDIUPDATE_JARPATH%;%LOG4J_JARPATH%" com.ibm.bcg.updivalidation.UPDISetupScript %1 %CFSPATH%
goto ENDOFPROGRAM

:DEPLOY
set LIB="%HOME_DIR%\properties\version\nif\update\config\install\lib"
set LIBPATH=%HOME_DIR%\properties\version\nif\update\config\install\lib

IF NOT EXIST %LIB% ( 
echo %LIB% location cannot be found. Setup the UPDI first by running the script with CONFIG argument
goto ENDOFPROGRAM
)

cd /d %LIB%
for %%i in ("*.*") do call "%HOME_DIR%\bin\appendclasspath.bat" "%LIBPATH%\%%i"


cd /d "%pwddir%"

"%JAVA_HOME%\bin\java" %CONSOLE_ENCODING% -classpath "%PATH_TO_JARS%;%UPDIUPDATE_JARPATH%;%LOG4J_JARPATH%" com.ibm.bcg.updivalidation.WPGEarUpdate
goto ENDOFPROGRAM


:VERIFY
SET /P CFSPATH=Please enter the path of the Common File System(CFS):

SET CFSPATH="%CFSPATH%"

set LIB="%HOME_DIR%\properties\version\nif\update\config\install\lib"
set LIBPATH=%HOME_DIR%\properties\version\nif\update\config\install\lib

IF NOT EXIST %LIB% ( 
echo %LIB% location cannot be found. Setup the UPDI first by running the script with CONFIG argument
goto ENDOFPROGRAM
)

cd /d %LIB%
for %%i in ("*.*") do call "%HOME_DIR%\bin\appendclasspath.bat" "%LIBPATH%\%%i"

cd /d "%pwddir%"

"%JAVA_HOME%\bin\java" %CONSOLE_ENCODING%  -classpath "%PATH_TO_JARS%;%UPDIUPDATE_JARPATH%;%LOG4J_JARPATH%" com.ibm.bcg.updivalidation.UPDIUpdateDBSysProps %CFSPATH%

"%JAVA_HOME%\bin\java" %CONSOLE_ENCODING%  -classpath "%PATH_TO_JARS%;%UPDIUPDATE_JARPATH%;%LOG4J_JARPATH%" com.ibm.bcg.updivalidation.UPDISetupScript %1 %CFSPATH%
goto ENDOFPROGRAM

:USAGE
@echo This script needs one of these parameters :
@echo CONFIG : To setup the UPDI if it is not setup 
@echo DEPLOY : To deploy the WPG UPDI Console changes
@echo VERIFY : To update the response files and verify its properties


:ENDOFPROGRAM