CREATE PROCEDURE db_drop_procs
(
IN  p_procname VARCHAR(30)
)
LANGUAGE SQL
/*
================================================================================
Proc Name:      db_drop_procs
Create Date:    06/30/2011
Author          Amit Kumar Vijay
	                   ::::::::::::::::::::::::::::::
	                         M O D I F I C A T I O N
	                   ::::::::::::::::::::::::::::::

	---------- ------------ ------- -------------------------------------------
	DATE       NAME		VER	DESCRIPTION
	---------- ------------ ------- -------------------------------------------

        06/30/2011 Amit Kumar Vijay	6.2.1	DROP PROCS IF ONLY EXISTS
	

================================================================================
*/
BEGIN
DECLARE v_flag INTEGER; 
DECLARE v_sqlstmt VARCHAR(200);

DECLARE CONTINUE HANDLER FOR NOT FOUND
    BEGIN
     set v_flag =0;
    END;
   SELECT 1 into v_flag   
          FROM syscat.procedures a
         WHERE a.procname = p_procname;
            

-- v_RowCnt := SQL%ROWCOUNT;
	IF v_flag = 1 THEN
    		SET  v_sqlstmt = 'DROP PROCEDURE ' || p_procname;

      		EXECUTE IMMEDIATE v_sqlstmt;
      
    		
      
   	END IF;
END
!
CALL db_drop_procs('DB_SYSPROPERTIESU_UPDI')
!
CREATE PROCEDURE DB_SYSPROPERTIESU_UPDI(
	OUT P_RETURNCD 			INTEGER
	,IN P_DEBUGFLG 			INTEGER
	,IN P_soapport			VARCHAR(2048)
	,IN P_dbtype			VARCHAR(2048)
	,IN P_appsdbhost		VARCHAR(2048)
	,IN P_appsdbport		VARCHAR(2048)
	,IN P_appsdbname		VARCHAR(2048)
	,IN P_appsownername		VARCHAR(2048)
	,IN P_appsdbschemaname	VARCHAR(2048)
	,IN P_appsownerpassword	VARCHAR(2048)
	,IN P_masdbhost			VARCHAR(2048)
	,IN P_masdbport			VARCHAR(2048)
	,IN P_masdbname			VARCHAR(2048)
	,IN P_masownername		VARCHAR(2048)
	,IN P_masdbschemaname	VARCHAR(2048)
	,IN P_masownerpassword	VARCHAR(2048)
	,IN P_groupname			VARCHAR(2048)
	,IN P_nodename			VARCHAR(2048)
	,IN P_RunSQLFiles		VARCHAR(2048)
)
   LANGUAGE SQL
   DYNAMIC RESULT SETS 1
   specific PR110524153055999

/*
	================================================================================
	Name:	   DB_SYSPROPERTIESU_UPDI
	Create Date:	2011-05-24
	Author	  Amit Kumar Vijay
                       ::::::::::::::::::::::::::::::
                             M O D I F I C A T I O N
                       ::::::::::::::::::::::::::::::

	---------- ------------	------- --------------------------------------------
	DATE       NAME			VER		DESCRIPTION
	---------- ------------	------- --------------------------------------------
	2011-04-27 Amit Vijay	6.2.1	To update the updi properties in database

	================================================================================
*/

BEGIN
	DECLARE v_RowCnt          integer Default 0;
	DECLARE v_BeginTS         TimeStamp;          -- Performance related variables
	DECLARE v_ProcName        varchar(30) Default 'DB_SYSPROPERTIESU_UPDI';
	DECLARE v_ExceptionFlg    integer Default 0;
	DECLARE v_ExceptionCode   varchar(30);
	DECLARE v_ParamsTxt       varchar(4000) ;
	DECLARE v_PK_Value        Integer Default 0;
	DECLARE v_chkpt           CHAR(1) default '0';
	DECLARE v_SQLErrm         Varchar(255) ;
	DECLARE v_msg2            varchar(1024);
	DECLARE v_RowTS           Integer Default 0;
	DECLARE v_Date		VARCHAR(30);
	DECLARE v_TS		TIMESTAMP;
	DECLARE SQLCODE		INTEGER;
	DECLARE v_TSNextDay	TIMESTAMP;
	
  DECLARE DUP_VAL_ON_INDEX CONDITION FOR SQLSTATE VALUE '23505';
  --

  DECLARE continue handler for NOT FOUND
	set v_chkpt='2';                                                   
              
  DECLARE EXIT HANDLER FOR DUP_VAL_ON_INDEX 
    SET p_ReturnCd = 2;

  DECLARE EXIT handler for SQLException 
  	BEGIN
  	  GET diagnostics EXCEPTION 1 v_sqlerrm = MESSAGE_TEXT;                                
  	  SET v_msg2 = v_ProcName || ' chkpt: ' || v_chkpt || CHR(10) ||
                 ' Errm: ' || v_sqlerrm || CHR(10) || v_ParamsTxt;
  	  CALL DB_ProcAuditLogI_AH1(v_ProcName, 
                               v_BeginTS, 
                               v_msg2,
                               p_DebugFlg, 
                               v_ExceptionFlg);                    
  	  RESIGNAL;
	  SET p_Returncd=1;
	END;                                                                                                                               


	SET v_BeginTS = FN_Get_Date();
	SET p_ReturnCd = 0;
		IF FN_ISProcAudit() = 1 THEN
		SET v_ParamsTxt  =
			' p_DebugFlg=>'||Coalesce(Rtrim(Char(p_DebugFlg)),'')
			||', P_soapport=>'||COALESCE(P_soapport,'')
			||', P_dbtype=>'||COALESCE(P_dbtype,'')
			||', P_appsdbhost=>'||COALESCE(P_appsdbhost,'')
			||', P_appsdbport=>'||COALESCE(P_appsdbport,'')
			||', P_appsdbname=>'||COALESCE(P_appsdbname,'')
			||', P_appsownername=>'||COALESCE(P_appsownername,'')
			||', P_appsdbschemaname=>'||COALESCE(P_appsdbschemaname,'')
			||', P_appsownerpassword=>'||COALESCE(P_appsownerpassword,'')
			||', P_masdbhost=>'||COALESCE(P_masdbhost,'')
			||', P_masdbport=>'||COALESCE(P_masdbport,'')
			||', P_masdbname=>'||COALESCE(P_masdbname,'')
			||', P_masownername=>'||COALESCE(P_masownername,'')
			||', P_masdbschemaname=>'||COALESCE(P_masdbschemaname,'')
			||', P_masownerpassword=>'||COALESCE(P_masownerpassword,'')
			||', P_groupname=>'||COALESCE(P_groupname,'')
			||', P_nodename=>'||COALESCE(P_nodename,'')
			||', P_RunSQLFiles=>'||COALESCE(P_RunSQLFiles,'')
		;
	END IF;
	set v_chkpt='1';
  
	
		UPDATE db_sysproperties 
			Set PROPVALUE=P_soapport
			WHERE PROPNAME = 'bcg.updi.dmgr.soapport' AND COMPONENT = 6;

		UPDATE db_sysproperties
		    Set PROPVALUE=P_dbtype
			WHERE PROPNAME = 'bcg.updi.dbtype' AND COMPONENT = 6;
			
		UPDATE db_sysproperties
		    Set PROPVALUE=P_appsdbhost
			WHERE PROPNAME = 'bcg.updi.application.appsdbhost' AND COMPONENT = 6;

		UPDATE db_sysproperties
		    Set PROPVALUE=P_appsdbport
			WHERE PROPNAME = 'bcg.updi.application.appsdbport' AND COMPONENT = 6;

		UPDATE db_sysproperties
		    Set PROPVALUE=P_appsdbname
			WHERE PROPNAME = 'bcg.updi.application.appsdbname' AND COMPONENT = 6;

		UPDATE db_sysproperties
		    Set PROPVALUE=P_appsownername
			WHERE PROPNAME = 'bcg.updi.application.appsownername' AND COMPONENT = 6;

		UPDATE db_sysproperties
		    Set PROPVALUE=P_appsdbschemaname
			WHERE PROPNAME = 'bcg.updi.application.appsdbschemaname' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_appsownerpassword
		   WHERE PROPNAME = 'bcg.updi.application.appsownerpassword' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_masdbhost
		   WHERE PROPNAME = 'bcg.updi.mas.masdbhost' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_masdbport
		   WHERE PROPNAME = 'bcg.updi.mas.masdbport' AND COMPONENT = 6;
		
		UPDATE db_sysproperties
		   Set PROPVALUE=P_masdbname
		   WHERE PROPNAME = 'bcg.updi.mas.masdbname' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_masownername
		   WHERE PROPNAME = 'bcg.updi.mas.masownername' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_masdbschemaname
		   WHERE PROPNAME = 'bcg.updi.mas.masdbschemaname' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_masownerpassword
		   WHERE PROPNAME = 'bcg.updi.mas.masownerpassword' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_groupname
		   WHERE PROPNAME = 'bcg.updi.wpg.groupname' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_nodename
		   WHERE PROPNAME = 'bcg.updi.wpg.nodename' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_RunSQLFiles
		   WHERE PROPNAME = 'bcg.updi.wpg.install.RunSQLFiles' AND COMPONENT = 6;
			
		commit;
		
END
!
DROP PROCEDURE db_drop_procs
!