CREATE OR REPLACE PROCEDURE DB_SYSPROPERTIESU_UPDI(
	 P_RETURNCD 	OUT		pls_integer
	,P_DEBUGFLG 		IN	pls_integer
	,P_soapport		IN	VARCHAR2
	,P_dbtype		IN	VARCHAR2
	,P_appsdbhost	IN	VARCHAR2
	,P_appsdbport	IN	VARCHAR2
	,P_appsdbname	IN	VARCHAR2
	,P_appsownername	IN	VARCHAR2
	,P_appsdbschemaname IN	VARCHAR2
	,P_appsownerpassword	IN VARCHAR2
	,P_masdbhost			IN VARCHAR2
	,P_masdbport			IN VARCHAR2
	,P_masdbname			IN VARCHAR2
	,P_masownername		IN VARCHAR2
	,P_masdbschemaname	IN VARCHAR2
	,P_masownerpassword	IN VARCHAR2
	,P_groupname			IN VARCHAR2
	,P_nodename			IN VARCHAR2
	,P_RunSQLFiles		IN VARCHAR2
)
AS
/*
	================================================================================
	Name:	   DB_SYSPROPERTIESU_UPDI
	Create Date:	2011-05-24
	Author	  Amit Kumar Vijay
                       ::::::::::::::::::::::::::::::
                             M O D I F I C A T I O N
                       ::::::::::::::::::::::::::::::

	---------- ------------	------- --------------------------------------------
	DATE       NAME			VER		DESCRIPTION
	---------- ------------	------- --------------------------------------------
	2011-04-27 Amit Vijay	6.2.1	To update the updi properties in database

	================================================================================
*/

v_RowCnt          integer Default 0;
v_BeginTS         timestamp Default FN_Get_Date; -- Performance related variables
v_ProcName           varchar2(30) := 'DB_SYSPROPERTIESU_UPDI';
v_RowTS      integer :=0;
zeroUpdate  Exception;
v_ExceptionFlg    integer Default 0;
v_ParamsTxt       varchar2(4000) Default
			'P_DEBUGFLG=>'        		||NVL(RTRIM(TO_CHAR(P_DEBUGFLG)),'')	||CHR(10)
            ||', P_soapport=>'			||NVL(P_soapport,'')					||CHR(10)
			||', P_dbtype=>'			||NVL(P_dbtype,'')						||CHR(10)
			||', P_appsdbhost=>'		||NVL(P_appsdbhost,'')					||CHR(10)
			||', P_appsdbport=>'		||NVL(P_appsdbport,'')					||CHR(10)
			||', P_appsdbname=>'		||NVL(P_appsdbname,'')					||CHR(10)
			||', P_appsownername=>'		||NVL(P_appsownername,'')				||CHR(10)
			||', P_appsdbschemaname=>'	||NVL(P_appsdbschemaname,'')			||CHR(10)
			||', P_appsownerpassword=>'	||NVL(P_appsownerpassword,'')			||CHR(10)
			||', P_masdbhost=>'			||NVL(P_masdbhost,'')					||CHR(10)
			||', P_masdbport=>'			||NVL(P_masdbport,'')					||CHR(10)
			||', P_masdbname=>'			||NVL(P_masdbname,'')					||CHR(10)
			||', P_masownername=>'		||NVL(P_masownername,'')				||CHR(10)
			||', P_masdbschemaname=>'	||NVL(P_masdbschemaname,'')				||CHR(10)
			||', P_masownerpassword=>'	||NVL(P_masownerpassword,'')			||CHR(10)
			||', P_groupname=>'			||NVL(P_groupname,'')					||CHR(10)
			||', P_nodename=>'			||NVL(P_nodename,'')					||CHR(10)
			||', P_RunSQLFiles=>'		||NVL(P_RunSQLFiles,'')					||CHR(10)
		;
BEGIN	
		UPDATE db_sysproperties 
			Set PROPVALUE=P_soapport
			WHERE PROPNAME = 'bcg.updi.dmgr.soapport' AND COMPONENT = 6;

		UPDATE db_sysproperties
		    Set PROPVALUE=P_dbtype
			WHERE PROPNAME = 'bcg.updi.dbtype' AND COMPONENT = 6;
			
		UPDATE db_sysproperties
		    Set PROPVALUE=P_appsdbhost
			WHERE PROPNAME = 'bcg.updi.application.appsdbhost' AND COMPONENT = 6;

		UPDATE db_sysproperties
		    Set PROPVALUE=P_appsdbport
			WHERE PROPNAME = 'bcg.updi.application.appsdbport' AND COMPONENT = 6;

		UPDATE db_sysproperties
		    Set PROPVALUE=P_appsdbname
			WHERE PROPNAME = 'bcg.updi.application.appsdbname' AND COMPONENT = 6;

		UPDATE db_sysproperties
		    Set PROPVALUE=P_appsownername
			WHERE PROPNAME = 'bcg.updi.application.appsownername' AND COMPONENT = 6;

		UPDATE db_sysproperties
		    Set PROPVALUE=P_appsdbschemaname
			WHERE PROPNAME = 'bcg.updi.application.appsdbschemaname' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_appsownerpassword
		   WHERE PROPNAME = 'bcg.updi.application.appsownerpassword' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_masdbhost
		   WHERE PROPNAME = 'bcg.updi.mas.masdbhost' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_masdbport
		   WHERE PROPNAME = 'bcg.updi.mas.masdbport' AND COMPONENT = 6;
		
		UPDATE db_sysproperties
		   Set PROPVALUE=P_masdbname
		   WHERE PROPNAME = 'bcg.updi.mas.masdbname' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_masownername
		   WHERE PROPNAME = 'bcg.updi.mas.masownername' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_masdbschemaname
		   WHERE PROPNAME = 'bcg.updi.mas.masdbschemaname' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_masownerpassword
		   WHERE PROPNAME = 'bcg.updi.mas.masownerpassword' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_groupname
		   WHERE PROPNAME = 'bcg.updi.wpg.groupname' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_nodename
		   WHERE PROPNAME = 'bcg.updi.wpg.nodename' AND COMPONENT = 6;

		UPDATE db_sysproperties
		   Set PROPVALUE=P_RunSQLFiles
		   WHERE PROPNAME = 'bcg.updi.wpg.install.RunSQLFiles' AND COMPONENT = 6;
			
		commit;
		p_ReturnCd := 0;
        EXCEPTION
                WHEN ZeroUpdate then
                    p_ReturnCd := 3;
                        v_ExceptionFlg := 1;
                        DB_ProcAuditLogI_ah1(v_ProcName, v_BeginTS,'ZeroUpdate, '||v_ParamsTxt, p_DebugFlg, 1);
                        DB_ProcAuditLogI_ah1(v_ProcName, v_BeginTS, v_ParamsTxt, p_DebugFlg, v_ExceptionFlg);
                        RAISE_APPLICATION_ERROR(-20999,'20100 - DB_SYSPROPERTIESU_UPDI: No Data Found');
                WHEN OTHERS then
                        p_ReturnCd := 1;
                        v_ExceptionFlg := 1;
                        DB_ProcAuditLogI_ah1(v_ProcName, v_BeginTS, SQLERRM||CHR(10)||v_ParamsTxt, p_DebugFlg, 1);
                        RAISE_APPLICATION_ERROR(-20999,'20100 - DB_SYSPROPERTIESU_UPDI:'||SQLERRM);
End DB_SYSPROPERTIESU_UPDI;
/
